import java.util.*;

public abstract class People<Persontype extends Person> implements Iterable<Persontype>
{

    private final List<Persontype> personList;

    public People(List<Persontype> personList)
    {
        this.personList = personList;
    }

    public People(Persontype ...args)
    {
    personList = new ArrayList<>(Arrays.asList(args));
    }

    public void add(Persontype pt)
    {
personList.add(pt);
    }

    public void remove(Persontype pt)
    {
personList.remove(pt);
    }

    public int size()
    {
        return personList.size();
    }

    public void clear()
    {
        this.personList.clear();
    }

    public void addAll(Iterable<? extends Persontype> pt)
    {
        pt.forEach(person -> personList.add(person));

    }


    public Persontype findById(long id)
    {

        for(Persontype p : personList){
            if(p.getId() == id) {
                return p;
            }
        }
        return null;
    }

    public List<Persontype>findAll()
    {
        return personList;
    }

    @Override
    public Iterator<Persontype> iterator() {
        return personList.iterator();
    }
}
